aboutsummaryrefslogtreecommitdiff
path: root/src/testing
diff options
context:
space:
mode:
Diffstat (limited to 'src/testing')
-rwxr-xr-xsrc/testing/test-merchant-walletharness.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/src/testing/test-merchant-walletharness.sh b/src/testing/test-merchant-walletharness.sh
index 98a78efa..75f979eb 100755
--- a/src/testing/test-merchant-walletharness.sh
+++ b/src/testing/test-merchant-walletharness.sh
@@ -22,6 +22,20 @@
set -eu
+# Exit, with status code "skip" (no 'real' failure)
+function exit_skip() {
+ echo $1
+ exit 77
+}
+
+echo -n "Testing for taler-bank-manage"
+taler-bank-manage --help >/dev/null </dev/null || exit_skip " MISSING"
+echo " FOUND"
+
+echo -n "Testing for taler-wallet-cli"
+taler-wallet-cli --help >/dev/null </dev/null || exit_skip " MISSING"
+echo " FOUND"
+
res=0
taler-wallet-cli testing run-integrationtests --dry --suites merchant 2&>/dev/null || res=$?